# Form implementation generated from reading ui file 'src/eric7/MicroPython/WifiDialogs/WifiApConfigDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_WifiApConfigDialog(object):
    def setupUi(self, WifiApConfigDialog):
        WifiApConfigDialog.setObjectName("WifiApConfigDialog")
        WifiApConfigDialog.resize(400, 347)
        WifiApConfigDialog.setSizeGripEnabled(True)
        self.gridLayout_2 = QtWidgets.QGridLayout(WifiApConfigDialog)
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.label_10 = QtWidgets.QLabel(parent=WifiApConfigDialog)
        self.label_10.setObjectName("label_10")
        self.gridLayout_2.addWidget(self.label_10, 0, 0, 1, 1)
        self.apSsidEdit = QtWidgets.QLineEdit(parent=WifiApConfigDialog)
        self.apSsidEdit.setClearButtonEnabled(True)
        self.apSsidEdit.setObjectName("apSsidEdit")
        self.gridLayout_2.addWidget(self.apSsidEdit, 0, 1, 1, 2)
        self.label_12 = QtWidgets.QLabel(parent=WifiApConfigDialog)
        self.label_12.setObjectName("label_12")
        self.gridLayout_2.addWidget(self.label_12, 1, 0, 1, 1)
        self.apPasswordEdit = QtWidgets.QLineEdit(parent=WifiApConfigDialog)
        self.apPasswordEdit.setEchoMode(QtWidgets.QLineEdit.EchoMode.Password)
        self.apPasswordEdit.setClearButtonEnabled(True)
        self.apPasswordEdit.setObjectName("apPasswordEdit")
        self.gridLayout_2.addWidget(self.apPasswordEdit, 1, 1, 1, 1)
        self.apShowPasswordButton = QtWidgets.QToolButton(parent=WifiApConfigDialog)
        self.apShowPasswordButton.setCheckable(True)
        self.apShowPasswordButton.setObjectName("apShowPasswordButton")
        self.gridLayout_2.addWidget(self.apShowPasswordButton, 1, 2, 1, 1)
        self.label_23 = QtWidgets.QLabel(parent=WifiApConfigDialog)
        self.label_23.setObjectName("label_23")
        self.gridLayout_2.addWidget(self.label_23, 2, 0, 1, 1)
        self.horizontalLayout_6 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_6.setObjectName("horizontalLayout_6")
        self.apSecurityComboBox = QtWidgets.QComboBox(parent=WifiApConfigDialog)
        self.apSecurityComboBox.setObjectName("apSecurityComboBox")
        self.horizontalLayout_6.addWidget(self.apSecurityComboBox)
        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_6.addItem(spacerItem)
        self.gridLayout_2.addLayout(self.horizontalLayout_6, 2, 1, 1, 2)
        self.label_5 = QtWidgets.QLabel(parent=WifiApConfigDialog)
        self.label_5.setObjectName("label_5")
        self.gridLayout_2.addWidget(self.label_5, 3, 0, 1, 1)
        self.hostnameEdit = EricHostnameInputWidget(parent=WifiApConfigDialog)
        self.hostnameEdit.setObjectName("hostnameEdit")
        self.gridLayout_2.addWidget(self.hostnameEdit, 3, 1, 1, 2)
        self.ipv4GroupBox = QtWidgets.QGroupBox(parent=WifiApConfigDialog)
        self.ipv4GroupBox.setObjectName("ipv4GroupBox")
        self.horizontalLayout = QtWidgets.QHBoxLayout(self.ipv4GroupBox)
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.gridLayout = QtWidgets.QGridLayout()
        self.gridLayout.setObjectName("gridLayout")
        self.label = QtWidgets.QLabel(parent=self.ipv4GroupBox)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 0, 0, 1, 1)
        self.addressEdit = EricIPv4InputWidget(parent=self.ipv4GroupBox)
        self.addressEdit.setFocusPolicy(QtCore.Qt.FocusPolicy.NoFocus)
        self.addressEdit.setObjectName("addressEdit")
        self.gridLayout.addWidget(self.addressEdit, 0, 1, 1, 1)
        self.label_2 = QtWidgets.QLabel(parent=self.ipv4GroupBox)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 1, 0, 1, 1)
        self.netmaskEdit = EricIPv4InputWidget(parent=self.ipv4GroupBox)
        self.netmaskEdit.setFocusPolicy(QtCore.Qt.FocusPolicy.NoFocus)
        self.netmaskEdit.setObjectName("netmaskEdit")
        self.gridLayout.addWidget(self.netmaskEdit, 1, 1, 1, 1)
        self.label_3 = QtWidgets.QLabel(parent=self.ipv4GroupBox)
        self.label_3.setObjectName("label_3")
        self.gridLayout.addWidget(self.label_3, 2, 0, 1, 1)
        self.gatewayEdit = EricIPv4InputWidget(parent=self.ipv4GroupBox)
        self.gatewayEdit.setFocusPolicy(QtCore.Qt.FocusPolicy.NoFocus)
        self.gatewayEdit.setObjectName("gatewayEdit")
        self.gridLayout.addWidget(self.gatewayEdit, 2, 1, 1, 1)
        self.label_4 = QtWidgets.QLabel(parent=self.ipv4GroupBox)
        self.label_4.setObjectName("label_4")
        self.gridLayout.addWidget(self.label_4, 3, 0, 1, 1)
        self.dnsEdit = EricIPv4InputWidget(parent=self.ipv4GroupBox)
        self.dnsEdit.setFocusPolicy(QtCore.Qt.FocusPolicy.NoFocus)
        self.dnsEdit.setObjectName("dnsEdit")
        self.gridLayout.addWidget(self.dnsEdit, 3, 1, 1, 1)
        self.horizontalLayout.addLayout(self.gridLayout)
        spacerItem1 = QtWidgets.QSpacerItem(273, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout.addItem(spacerItem1)
        self.gridLayout_2.addWidget(self.ipv4GroupBox, 4, 0, 1, 3)
        self.rememberCheckBox = QtWidgets.QCheckBox(parent=WifiApConfigDialog)
        self.rememberCheckBox.setObjectName("rememberCheckBox")
        self.gridLayout_2.addWidget(self.rememberCheckBox, 5, 0, 1, 3)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=WifiApConfigDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.gridLayout_2.addWidget(self.buttonBox, 6, 0, 1, 3)

        self.retranslateUi(WifiApConfigDialog)
        self.buttonBox.accepted.connect(WifiApConfigDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(WifiApConfigDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(WifiApConfigDialog)
        WifiApConfigDialog.setTabOrder(self.apSsidEdit, self.apPasswordEdit)
        WifiApConfigDialog.setTabOrder(self.apPasswordEdit, self.apShowPasswordButton)
        WifiApConfigDialog.setTabOrder(self.apShowPasswordButton, self.apSecurityComboBox)
        WifiApConfigDialog.setTabOrder(self.apSecurityComboBox, self.hostnameEdit)
        WifiApConfigDialog.setTabOrder(self.hostnameEdit, self.rememberCheckBox)

    def retranslateUi(self, WifiApConfigDialog):
        _translate = QtCore.QCoreApplication.translate
        WifiApConfigDialog.setWindowTitle(_translate("WifiApConfigDialog", "Access Point Configuration"))
        self.label_10.setText(_translate("WifiApConfigDialog", "Name:"))
        self.apSsidEdit.setToolTip(_translate("WifiApConfigDialog", "Enter the network name (SSID) to publish"))
        self.label_12.setText(_translate("WifiApConfigDialog", "Password:"))
        self.apPasswordEdit.setToolTip(_translate("WifiApConfigDialog", "Enter the network password"))
        self.apShowPasswordButton.setToolTip(_translate("WifiApConfigDialog", "Press to show the password"))
        self.label_23.setText(_translate("WifiApConfigDialog", "Security:"))
        self.apSecurityComboBox.setToolTip(_translate("WifiApConfigDialog", "Select the security mode"))
        self.label_5.setText(_translate("WifiApConfigDialog", "Hostname:"))
        self.hostnameEdit.setToolTip(_translate("WifiApConfigDialog", "Enter the host name for the device (leave empty for MicroPython &lt; 1.20)."))
        self.ipv4GroupBox.setTitle(_translate("WifiApConfigDialog", "IPv4 Configuration"))
        self.label.setText(_translate("WifiApConfigDialog", "Address:"))
        self.label_2.setText(_translate("WifiApConfigDialog", "Netmask:"))
        self.label_3.setText(_translate("WifiApConfigDialog", "Gateway:"))
        self.label_4.setText(_translate("WifiApConfigDialog", "DNS:"))
        self.rememberCheckBox.setToolTip(_translate("WifiApConfigDialog", "Select to remember the entered connection parameters"))
        self.rememberCheckBox.setText(_translate("WifiApConfigDialog", "Remember Parameters"))
from eric7.EricNetwork.EricHostnameInputWidget import EricHostnameInputWidget
from eric7.EricNetwork.EricIPv4InputWidget import EricIPv4InputWidget
